API
Data API
KPI
Methods allow you to get a list of portal KPIs or information on a specific KPI.

Return a list of KPIs.
Request example
GET /kpi
GET
https://instance_name/api/data/v1.0/kpi/
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
Body Parameters
- limitIntegerDescriptionThe number of results to return per page.
- offsetIntegerDescriptionThe initial index from which to return the results.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.1/kpi/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"count":5,
"next":null,
"previous":null,
"results":[
{
"id":11,
"cid":"% Shelf Share Linear Pet Food Home Shelf",
"name":"% Shelf Share Linear Pet Food Home Shelf",
"units":"%"
},
{
"id":12,
"cid":"% Glass Facing Share Nescafe Classic",
"name":"Glass Facing Share Nescafe Classic",
"units":"%"
},
{
"id":13,
"cid":"PU_GL_3",
"name":"PU_GL_3",
"units":null
},
{
"id":14,
"cid":"PU_GL_2",
"name":"PU_GL_2",
"units":null
},
{
"id":15,
"cid":"PU_GL_1",
"name":"PU_GL_1",
"units":null
}
]
}Response parameters​

count integer
The number of KPIs.

next string (uri) Nullable
Next page.

previous string (uri) Nullable
Previous page.

results array of objects
An array of objects with information about KPI's.
- id integer KPI ID.
- cid string <= 255 characters Nullable KPI ID in the user system.
- name string [ 1 .. 255 ] characters KPI name.
- units string <= 255 characters Nullable KPI indicator unit.



Returns information about KPI by ID.
Request example
GET /kpi/{id}
GET
https://instance_name/api/data/v1.0/kpi/{id}
Path Parameters
- idstringrequiredDescriptionKPI ID.
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.1/kpi/11/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"id":11,
"cid":"% Shelf Share Linear Pet Food Home Shelf",
"name":"% Shelf Share Linear Pet Food Home Shelf",
"units":"%"
}Response parameters

id integer
KPI ID.

cid string <= 255 characters Nullable
KPI ID in the user system.

name string [ 1 .. 255 ] characters
KPI name.

units string <= 255 characters Nullable
KPI indicator unit.